<?xml version="1.0" encoding="utf-8"?>

<discovery xmlns="urn:slpdiscovery">

	<refreshRate>60</refreshRate>
	<timeout>4</timeout>
	<destinationAddressIPv6>ff02::1</destinationAddressIPv6>

	<methodList onlyMatching="true">

		<!-- SLP method to find "service:printer" devices -->
		<method name="Test" serviceType="printer.canon">
			<AttributeList>
				<devNameOID>x-can-PdInfoMachineName</devNameOID>
				<devTypeOID>x-can-PdInfoProductName</devTypeOID>
				<sysDescOID>sysDescr</sysDescOID>
			</AttributeList>
			<deviceList>
				<device name="Canon iR2318/2320 UFRII LT">
					<matchingDevTypeStrs>
						<devTypeStr>iR2318</devTypeStr>
						<devTypeStr>iR2320</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR2520 UFRII LT">
					<matchingDevTypeStrs>
						<devTypeStr>iR2520</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR2525/2530 UFRII LT">
					<matchingDevTypeStrs>
						<devTypeStr>iR2525</devTypeStr>
						<devTypeStr>iR2530</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR2535/2545 UFRII LT">
					<matchingDevTypeStrs>
						<devTypeStr>iR2535</devTypeStr>
						<devTypeStr>iR2545</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV 6055/6065 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 6055</devTypeStr>
						<devTypeStr>iR-ADV 6065</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV 6075 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 6075</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV 8085/8095 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 8085</devTypeStr>
						<devTypeStr>iR-ADV 8095</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV 8105 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 8105</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV C5030/5035 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C5030</devTypeStr>
						<devTypeStr>iR-ADV C5035</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV C5045/5051 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C5045</devTypeStr>
						<devTypeStr>iR-ADV C5051</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV C7055/7065 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C7055</devTypeStr>
						<devTypeStr>iR-ADV C7065</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV C9060/9070 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C9060</devTypeStr>
						<devTypeStr>iR-ADV C9070</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV C9065/9075 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C9065</devTypeStr>
						<devTypeStr>iR-ADV C9075</devTypeStr>
					</matchingDevTypeStrs>
				</device>

			</deviceList>
		</method>
	</methodList>
</discovery>
